<template>
  <div class="search">
    <div class="search-bar-bg">
      <div class="search-bar">
        <div class="search-icon">
          <img
            style="width:100%;height:100%"
            src="../../../../static/images/search-icon-2.png"
            alt=""
          >
        </div>
        <input type="text" placeholder="请输入查询活动名称/地点/活动类型" @input="inputEmit($event)">
      </div>
      <div class="btn" @click="event().toSearch()">搜索</div>
    </div>
    <div class="goods-list">
      <div
        :class="[item.canExchange?'':'disabled','goods-item']"
        v-for="(item,index) in goodsList"
        :key="index"
        @click="event().toDetail(item)"
      >
        <div class="img-con">
          <div class="coupon-img-title" v-if="item.exchangeType==='coupon'">GIADA</div>
          <image
            :src="item.productImg"
            :class="item.exchangeType"
            mode="scaleToFill"
            lazy-load="false"
          ></image>
        </div>
        <div class="goods-title">
          <div class="goods-name">{{item.productName}}</div>
          <div class="integral">
            积分：
            <span class="integral-num">{{item.exchangePoints}}</span>
          </div>
        </div>
      </div>
    </div>
    <div class="no-content" v-if="isNull">
      <div>未匹配到商品</div>
      <div>建议检查下关键字是否准确</div>
    </div>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6" s>
//   import '../../../../static/css/reset.css';
import config from "@/config";
//   import footer from '@/components/footer/footer.vue'
//   import spaces from '@/components/spaces/spaces.vue'
import hintbox from "@/components/hintbox/hintbox.vue";
import {
  VeevlinkLogin,
  VeevlinkIslogin,
  VeevlinkClient,
  VeevlinkData,
  Appid
} from "@/utils/base";
import {mapState} from 'vuex';
let mta = require("@/utils/mta_analysis.js");
export default {
  data() {
    return {
      goodsList: [],
      isNull:false,
      search: "",
      hintbox: {
        text: "",
        show: false
      },
      button: {
        high: true
      },
      datas: {},
      camList: []
    };
  },
  components: {
    "v-hintbox": hintbox
  },
  methods: {
    ...mapState(['memberInfo']),
    inputEmit(data) {
      this.search = data.mp.detail.value;
      console.log("search", this.search);
    },
        /*  =====自定义函数/方法区start===== */
    handler() {
      return {
        //todo:替换url
        replaceUrl: (domain, url) => {
          //删除url原有域名
          const DeleteDomainUrl = url.substring(
            url.indexOf(".com/") + 4,
            url.length
          );
          //转码
          const normalUrl = DeleteDomainUrl.replace(/&amp;/g, "&");
          return domain + normalUrl;
        }
      };
    },
    /*  =====自定义函数/方法区end===== */
    event() {
      return {
        // todo:商品详情
        toDetail:(item)=>{
          config.href(`${config.shop.detail}?productId=${item.productId}&type=${item.exchangeType}`);
        },
        //todo:搜索
        toSearch: () => {
          this.isNull = false
          this.network().runApiToSearch();
        }
      };
    },
    network() {
      return {
        runApiToSearch: () => {
          let VerificationCodeEntity = wx.getStorageSync(
            "informationwx23bcedfe9e867c13"
          );
          let data = {
            openId: VerificationCodeEntity.OpenId,
            type: "search",
            sortType: "asc",
            exchangeType: "",
            grade: this.memberInfo.grade,
            memberPoint: this.memberInfo.memberPoint,
            searchParam: this.search
          };
          VeevlinkClient(
            "/points/product/list?openId=" + VerificationCodeEntity.OpenId,
            "POST",
            data,
            data => {
              console.log(data);
              if (data.success) {
                 data.records.forEach(item=>{
                    item.productImg = this.handler().replaceUrl("http://redstone-uat-site.veevlink.com",item.productImg)
                })
                if(data.records.length===0){
                  this.isNull = true
                }
                this.goodsList = data.records;
              } else {
                this.hintbox.show = true;
                this.hintbox.text = success.message;
              }
            },
            error => {
              console.log(error);
            }
          );
        }
      };
    }
  },
  onLoad(data) {
    mta.Page.init();
    this.search = "";
    this.memberInfo = data
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  lang="scss"  type="text/scss" scoped >
.no-content{
  margin-top: 572rpx;
  line-height:40rpx;
  font-size:28rpx;
  font-family:STXihei;
  color:#727171;
  text-align: center;
}
.search {
  .search-bar-bg {
    background-color: #fff;
    padding: 20rpx 0rpx 20rpx 50rpx;
    border-bottom: 1rpx solid #c8c8c8;
    display: flex;
    align-items: center;
    .search-bar {
      box-sizing: border-box;
      display: flex;
      align-items: center;
      height: 80rpx;
      width: 553rpx;
      padding: 17rpx;
      background: rgba(142, 142, 147, 0.12);
      .search-icon {
        height: 45rpx;
        width: 45rpx;
      }
      input {
        padding: 17rpx;
        font-size: 28rpx;
        width: 100%;
        font-family: STXihei;
      }
    }
    .btn {
      margin-left: 40rpx;
      font-size: 28rpx;
      font-family: STXihei;
      color: #333;
    }
  }
  .goods-list {
    display: flex;
    flex-wrap: wrap;
    .disabled {
      opacity: 0.6;
    }
    .goods-item {
      display: flex;
      align-items: center;
      flex-direction: column;
      text-align: center;
      width: 50%;
      height: 594rpx;
      background: #eeeeee;
      border-bottom: 2rpx solid #fff;
      box-sizing: border-box;
      .img-con {
        margin-top: 74rpx;
        display: flex;
        align-items: center;
        flex-direction: column;
        width: 226rpx;
        height: 324rpx;
        .coupon-img-title {
          margin-bottom: 80rpx;
          font-size: 22rpx;
          font-family: GillSans;
        }
      }
      .product {
        width: 100%;
        height: 100%;
      }
      .coupon {
        width: 100%;
        height: 98rpx;
      }

      .goods-name,
      .integral {
        color: #333;
        font-family: GillSans-Light, GillSans;
      }
      .goods-name {
        margin-top: 65rpx;
        font-size: 22rpx;
      }
      .integral {
        margin-top: 18rpx;
        font-size: 18rpx;
        font-family: STXihei;
        .integral-num {
          font-size: 22rpx;
          font-family: GillSans;
        }
      }
    }
    .goods-item:nth-child(odd) {
      border-right: 2rpx solid #fff;
    }
  }
}
</style>
